Subject: Re: [PATCH] docs: remove {litdd} usage

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Feb 2026 10:20:19 -0800

"Michael Ryzhikov via GitGitGadget" <[email-masked]> writes:

> From: samonon <[email-masked]>
>
> *** Problem.
> {litdd} is used as alias for -- (when not inside backticks) because --
> is a reserved text in asciidoc. There is some problems with this:
> - need to remember that in some cases -- should be replaced with {litdd}
> - unnecessary config options when exporting adoc to other formats
> - in HTML it looks like "&#x2d;&#x2d;" instead of "--" (it works, but
>    browser should correctly decode hex symbols in html link:
>    see htmldocs/git-sh-i18n.html)
>
> *** Solution
> For better readability just escape -- using \.
> This is default asciidoc mechanism that don't need any configuration.
> Tested with "make all doc" - links inside linkgit: work.

Hmph, I do not quite see the point of this churn.  We'd need to
remember to do \-- instead of doing {litdd}, either way.

I do not know what you want to say with "when exporting to other
formats", as we already are formatting these source files into HTML
and manual pages.